Holger's Java API

## com.antelmann.net.web
Class Twitter

    java.lang.Object
      com.antelmann.net.web.Twitter

    @ThirdParty(value="org.json")
    @Todo(value="switch to OAuth")
    public class Twitter

extends Object

provides methods to interact with the Twitter service

Since:
  15.12.2008, 19:31:06
Author:
  Holger Antelmann
See Also:
  "http://www.twitter.com"

Nested Class Summary
`static class` `Twitter.Format`

Constructor Summary
`Twitter()` uses the properties 'twitter.user' and 'twitter.password' from the Settings
`Twitter(String user, char[] password)`

Method Summary
`protected void` `checkImageData(byte[] imageData)`
`protected void` `checkMessage(String msg)`
`static String` `format(Date date)`
`String` `getLastStatus()`
`static RSSHandler` `getPublicTimelineHandler()`
`int` `getRateLimitStatus()`
`int` `getRateLimitStatusForIP()`
`static Tweed[]` `getTweeds(String user, int count, Date since)`
`String` `getUser()`
`static RSSHandler` `getUserTimelineHandler(String user)`
`static RSSHandler` `getUserTimelineHandler(String user, Date since)`
`static RSSHandler` `getUserTimelineHandler(String user, int count)`
`static RSSHandler` `getUserTimelineHandler(String user, int count, Date since)`
`int` `updateProfileImage(byte[] imageData)`
`int` `updateProfileImage(File file)`
`int` `updateProfileImage(Image image)`
`int` `updateProfileImage(URL url)`
`int` `updateStatus(String msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Twitter

    public Twitter()

  uses the properties 'twitter.user' and 'twitter.password' from the Settings

  See Also:
    `Settings.getProperty(String)`

### Twitter

    public Twitter(String user,
                   char[] password)

Method Detail

### getUser

    public String getUser()

### getRateLimitStatus

    public int getRateLimitStatus()
                           throws IOException

  Throws:
    `IOException`

### getRateLimitStatusForIP

    public int getRateLimitStatusForIP()
                                throws IOException

  Throws:
    `IOException`

### getPublicTimelineHandler

    public static RSSHandler getPublicTimelineHandler()
                                               throws IOException,
                                                      FormatException

  Throws:
    `IOException`
    `FormatException`

### getUserTimelineHandler

    public static RSSHandler getUserTimelineHandler(String user)
                                             throws IOException,
                                                    FormatException

  Throws:
    `IOException`
    `FormatException`

### getUserTimelineHandler

    public static RSSHandler getUserTimelineHandler(String user,
                                                    Date since)
                                             throws IOException,
                                                    FormatException

  Throws:
    `IOException`
    `FormatException`

### getUserTimelineHandler

    public static RSSHandler getUserTimelineHandler(String user,
                                                    int count)
                                             throws IOException,
                                                    FormatException

  Throws:
    `IOException`
    `FormatException`

### getUserTimelineHandler

    public static RSSHandler getUserTimelineHandler(String user,
                                                    int count,
                                                    Date since)
                                             throws IOException,
                                                    FormatException

  Throws:
    `IOException`
    `FormatException`

### getTweeds

    public static Tweed[] getTweeds(String user,
                                    int count,
                                    Date since)
                             throws IOException,
                                    FormatException

  Throws:
    `IOException`
    `FormatException`

### format

    public static String format(Date date)

### updateStatus

    public int updateStatus(String msg)
                     throws IOException

  Throws:
    `IOException`

### checkMessage

    protected void checkMessage(String msg)
                         throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### updateProfileImage

    public int updateProfileImage(Image image)
                           throws IOException

  Throws:
    `IOException`

### updateProfileImage

    public int updateProfileImage(File file)
                           throws IOException

  Throws:
    `IOException`

### updateProfileImage

    public int updateProfileImage(URL url)
                           throws IOException

  Throws:
    `IOException`

### checkImageData

    protected void checkImageData(byte[] imageData)
                           throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### updateProfileImage

    @Todo
    public int updateProfileImage(byte[] imageData)
                           throws IOException

  Throws:
    `IOException`

### getLastStatus

    public String getLastStatus()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads